/*
 * Copyright (C) 2009 HMI Group, University of Twente.
 *
 * @author Franois L.A. Knoppel <[alias] francois [on server at] knoppel.nl>
 * @author Almer S. Tigelaar <[alias] almer [on server at] gnome.org>
 * @author Danny Oude Bos <[alias] d.oudebos [on server at] utwente.nl>
 * @author Thijs Alofs <[alias] t.alofs [on server at] alumnus.utwente.nl>
 *
 * This file is part of the DEIRA project, which is free software; you can redistribute it
 * and/or modify it under the terms of the GNU "Lesser" General Public License v3 as published by the 
 * Free Software Foundation.
 */

package nl.utwente.ewi.hmi.deira.db;

//import java.sql.Connection;
//import java.sql.DriverManager;
//import java.sql.PreparedStatement;
//import java.sql.ResultSet;
//import java.sql.ResultSetMetaData;
//import java.sql.SQLException;
//import java.util.ArrayList;
//import java.util.logging.Logger;
//
//import nl.utwente.ewi.hmi.deira.sam.SpeechParticle;

/**
 * Speech Database-manipulation class.
 * 
 * @deprecated
 */

public class SpeechDB {
	//
	// /** The database connection */
	// private Connection conn;
	//
	// /** The root directory of the speech particles */
	// private String rootdir = "data/";
	//
	// /** Root directory of the FAP files (usually the same as rootdir) */
	// private String faprootdir = "data/fap_hack/"; // But not now, since we
	// used
	// // the hacked fap files
	//
	// /** < Logging instance */
	// private static Logger log = Logger.getLogger("deira.sdb");
	//
	// /**
	// * Constructor for the SpeechDB class. Initializes this.conn to a valid
	// * database connection.
	// */
	// public SpeechDB() {
	// try {
	// Class.forName("org.sqlite.JDBC");
	// this.conn = DriverManager
	// .getConnection("jdbc:sqlite:data/speech.db");
	// } catch (SQLException e) {
	// e.printStackTrace();
	// } catch (ClassNotFoundException e) {
	// e.printStackTrace();
	// }
	//
	// }
	//
	// /**
	// * Method to close the connection to the database.
	// */
	// public void close() {
	// try {
	// this.conn.close();
	// } catch (SQLException e) {
	// e.printStackTrace();
	// }
	// }
	//
	// /**
	// * Method to query the database for speech particles within the specified
	// * properties Query used: SELECT * FROM Speech WHERE text =
	// 'currentphrase'
	// * AND lowerbound >= 'lowerTensionBound' AND upperbound <=
	// * 'upperTensionBound' Falls back to SELECT * FROM Speech WHERE text =
	// * 'currentphrase' if no particles are found with the latter
	// *
	// * @param currentphrase
	// * The phrase the speech particle must represent
	// * @param lowerTensionBound
	// * The minimum value of the lower bound of the speech particles
	// * to return
	// * @param upperTensionBound
	// * The maximum value of the upper bound of the speech particles
	// * to return
	// * @return The vector of SpeechParticles found.
	// */
	// public ArrayList<SpeechParticle> getSpeechParticles(String currentphrase,
	// float lowerTensionBound, float upperTensionBound) {
	// ArrayList<SpeechParticle> returnset = new ArrayList<SpeechParticle>();
	// if (currentphrase == "") {
	// return returnset;
	// }
	//
	// String query = "SELECT * FROM Speech WHERE text = '" + currentphrase
	// + "' AND lowerbound >= '" + lowerTensionBound
	// + "' AND upperbound <= '" + upperTensionBound + "'";
	// ResultSet result = query(query);
	//
	// // =-- SQLite only supports forward only resultsets, so preprocessing
	// // required.
	// ArrayList<ArrayList<String>> resultvector = resultSetToArrayList(result);
	//
	// if (resultvector.size() == 0) {
	// result = query("SELECT * FROM Speech WHERE text = '"
	// + currentphrase + "'");
	// resultvector = resultSetToArrayList(result);
	// log.severe("db.SDB.gSP(): No particles found for [" + currentphrase
	// + "," + lowerTensionBound + "," + upperTensionBound
	// + "] --> dropping tension constraint");
	// }
	// if (resultvector.size() == 0) {
	// log.severe("db.SDB.gSP(): No particles found for [" + currentphrase
	// + "]!!");
	// } else {
	// for (ArrayList<String> row : resultvector) {
	// float lowerbound = Float.parseFloat(row.get(1));
	// float upperbound = Float.parseFloat(row.get(2));
	// String wavfile = row.get(3);
	// String fapfile = row.get(4);
	//
	// if (wavfile.equals(""))
	// wavfile = "placeholder.null";
	// if (fapfile.equals(""))
	// fapfile = "placeholder.null";
	//
	// wavfile = rootdir + wavfile;
	// fapfile = faprootdir + fapfile;
	//
	// SpeechParticle spp = new SpeechParticle(fapfile, wavfile,
	// lowerbound, upperbound);
	// returnset.add(spp);
	// }
	// }
	// return returnset;
	// }
	//
	// /**
	// * Method that shortcuts insertions into the database.
	// *
	// * @param values
	// * The comma-seperated list of column values that need to be
	// * inserted into the database. The order of the values needs to
	// * coincide with the "Speech" table schema.
	// */
	// public void insert(String values) {
	// query("INSERT INTO Speech VALUES (" + values + ")");
	// }
	//
	// /**
	// * Method to execute any SQL-query.
	// *
	// * @param sql
	// * The SQL-query to execute.
	// * @return The result of the query.
	// */
	// public ResultSet query(String sql) {
	// try {
	// PreparedStatement statement = conn.prepareStatement(sql);
	// if (statement.execute())
	// return statement.getResultSet();
	// else
	// return null;
	// } catch (SQLException e) {
	// e.printStackTrace();
	// }
	// return null;
	// }
	//
	// /**
	// * Method to get the contents of a ResultSet in a string.
	// *
	// * @param result
	// * The ResultSet that needs to be converted.
	// * @return The string representation of the ResultSet.
	// */
	// public String resultSetToString(ResultSet result) {
	// String resultstring = "";
	// try {
	// int k = 0;
	// while (result.next()) {
	// resultstring += (" Result row " + k + ":");
	// ResultSetMetaData metadata = result.getMetaData();
	// for (int i = 1; i <= metadata.getColumnCount(); i++) {
	// resultstring += (" " + metadata.getColumnName(i) + " = "
	// + result.getString(i) + ", ");
	// }
	// k++;
	// resultstring += ("\n");
	// }
	// } catch (SQLException e) {
	// e.printStackTrace();
	// }
	// return resultstring;
	//
	// }
	//
	// /**
	// * Method to retrieve a row from the specified resultset
	// *
	// * @param result
	// * The ResultSet to retrieve a row from
	// * @return A ArrayList of Strings that represent the column values of the
	// * row
	// */
	// private ArrayList<String> getRow(ResultSet result) {
	//
	// ArrayList<String> row = new ArrayList<String>();
	//
	// ResultSetMetaData metadata;
	// try {
	// metadata = result.getMetaData();
	// for (int i = 1; i <= metadata.getColumnCount(); i++) {
	// row.add(result.getString(i));
	// }
	// } catch (SQLException e) {
	// e.printStackTrace();
	// }
	// return row;
	// }
	//
	// /**
	// * Method to convert a ResultSet object to a 2-dimensional ArrayList of
	// * Strings that represent the column values. No header row is returned.
	// *
	// * @param result
	// * The ResultSet to convert
	// * @return The 2-dimensional ArrayList representation of the supplied
	// * ResultSet
	// */
	// public ArrayList<ArrayList<String>> resultSetToArrayList(ResultSet
	// result) {
	// ArrayList<ArrayList<String>> resultvector = new
	// ArrayList<ArrayList<String>>();
	// try {
	// while (result.next()) {
	// resultvector.add(getRow(result));
	// }
	// return resultvector;
	// } catch (SQLException e) {
	// e.printStackTrace();
	// }
	// return null;
	//
	// }
	//
	// /**
	// * Method that shortcuts the creation of the "Speech" table. The following
	// * table schema is used: text VARCHAR (100) NOT NULL lowerbound FLOAT
	// * DEFAULT 0 upperbound FLOAT DEFAULT 5 wavfile VARCHAR(20) fapfile
	// * VARCHAR(20) CONSTRAINT pk PRIMARY KEY (text, lowerbound, upperbound)
	// */
	// public void createSpeechTable() {
	// query("CREATE TABLE Speech" + " (text VARCHAR (100) NOT NULL,"
	// + "  lowerbound FLOAT DEFAULT 0,"
	// + "  upperbound FLOAT DEFAULT 5," + "  wavfile VARCHAR(20),"
	// + "  fapfile VARCHAR(20),"
	// + "  CONSTRAINT pk PRIMARY KEY (text, lowerbound, upperbound)"
	// + ")");
	//
	// }
	//
	// /**
	// * Method that shortcuts the deletion of the "Speech" table.
	// */
	// public void dropSpeechTable() {
	// query("DROP TABLE Speech");
	//
	// }
	//
	// /**
	// * Method that fills the speech table with the data for the speech
	// particles
	// * with tension bounds between 0 and 2 TODO: Automation of the process.
	// */
	// public void insertlevel12list() {
	//
	// insert("'a furlong','0','2','1-2_afurlong.wav','1-2_afurlong.fap'");
	// insert("'a length','0','2','1-2_alength.wav','1-2_alength.fap'");
	// insert("'and','0','2','1-2_and.wav','1-2_and.fap'");
	// insert("'and','0.001','2','1-2_and_10.wav','1-2_and_10.fap'");
	// insert("'and','0.002','2','1-2_and_2.wav','1-2_and_2.fap'");
	// insert("'and','0.003','2','1-2_and_5.wav','1-2_and_5.fap'");
	// insert("'and','0.004','2','1-2_and_6.wav','1-2_and_6.fap'");
	// insert("'and','0.005','2','1-2_and_7.wav','1-2_and_7.fap'");
	// insert("'and','0.006','2','1-2_and_8.wav','1-2_and_8.fap'");
	// insert("'and','0.007','2','1-2_and_9.wav','1-2_and_9.fap'");
	// insert("'a yard','0','2','1-2_ayard.wav','1-2_ayard.fap'");
	// insert("'Azure','0.001','2','1-2_azure.wav','1-2_azure.fap'");
	// insert("'Azure','0.002','2','1-2_azure_3.wav','1-2_azure_3.fap'");
	// insert("'Azure','0.003','2','1-2_azure_4.wav','1-2_azure_4.fap'");
	// insert("'Azure','0.004','2','1-2_azure_5.wav','1-2_azure_5.fap'");
	// insert("'Azure','0.005','2','1-2_azure_6.wav','1-2_azure_6.fap'");
	// insert("'breaking away of','0.001','2','1-2_breakingawayof.wav','1-2_breakingawayof.fap'");
	// insert("'breaking away of','0.002','2','1-2_breakingawayof_2.wav','1-2_breakingawayof_2.fap'");
	// insert("'breaking away of','0.003','2','1-2_breakingawayof_3.wav','1-2_breakingawayof_3.fap'");
	// insert("'Carmine','0.001','2','1-2_carmine_3.wav','1-2_carmine_3.fap'");
	// insert("'Carmine','0.002','2','1-2_carmine_4.wav','1-2_carmine_4.fap'");
	// insert("'Carmine','0.003','2','1-2_carmine_5.wav','1-2_carmine_5.fap'");
	// insert("'Carmine','0.004','2','1-2_carmine_6.wav','1-2_carmine_6.fap'");
	// insert("'is coming on','0','2','1-2_comingon.wav','1-2_comingon.fap'");
	// insert("'coming very close to','0','2','1-2_comingverycloseto.wav','1-2_comingverycloseto.fap'");
	// insert("'coming within','0','2','1-2_comingwithin.wav','1-2_comingwithin.fap'");
	// insert("'Eben','0.001','2','1-2_eben.wav','1-2_eben.fap'");
	// insert("'Eben','0.002','2','1-2_eben_2.wav','1-2_eben_2.fap'");
	// insert("'Eben','0.003','2','1-2_eben_3.wav','1-2_eben_3.fap'");
	// insert("'eight','0','2','1-2_eight.wav','1-2_eight.fap'");
	// insert("'eighteen','0.002','2','1-2_eighteen.wav','1-2_eighteen.fap'");
	// insert("'eighteen','0.001','2','1-2_eighteen_2.wav','1-2_eighteen_2.fap'");
	// insert("'eleven','0','2','1-2_eleven.wav','1-2_eleven.fap'");
	// insert("'fifteen','0.001','2','1-2_fifteen.wav','1-2_fifteen.fap'");
	// insert("'fifteen','0.002','2','1-2_fifteen_2.wav','1-2_fifteen_2.fap'");
	// insert("'fifth','0.001','2','1-2_fifth.wav','1-2_fifth.fap'");
	// insert("'fifth','0.002','2','1-2_fifth_2.wav','1-2_fifth_2.fap'");
	// insert("'fifth','0.003','2','1-2_fifth_3.wav','1-2_fifth_3.fap'");
	// insert("'fifty','0','2','1-2_fifty.wav','1-2_fifty.fap'");
	// insert("'finish time','0.001','2','1-2_finishtime.wav','1-2_finishtime.fap'");
	// insert("'finish time','0.002','2','1-2_finishtime_2.wav','1-2_finishtime_2.fap'");
	// insert("'first place','0','2','1-2_firstplace.wav','1-2_firstplace.fap'");
	// insert("'five','0.001','2','1-2_five.wav','1-2_five.fap'");
	// insert("'five','0.002','2','1-2_five_2.wav','1-2_five_2.fap'");
	// insert("'forty','0','2','1-2_forty.wav','1-2_forty.fap'");
	// insert("'four','0','2','1-2_four.wav','1-2_four.fap'");
	// insert("'for','0','2','1-2_for.wav','1-2_for.fap'");
	// insert("'fourteen','0','2','1-2_fourteen.wav','1-2_fourteen.fap'");
	// insert("'fourth place','0','2','1-2_fourthplace.wav','1-2_fourthplace.fap'");
	// insert("'gets in','0','2','1-2_getsin.wav','1-2_getsin.fap'");
	// insert("'getting clear of','0','2','1-2_gettingclearof.wav','1-2_gettingclearof.fap'");
	// insert("'maybe going back in','0','2','1-2_goingback.wav','1-2_goingback.fap'");
	// insert("'half','0.001','2','1-2_half.wav','1-2_half.fap'");
	// insert("'half','0.002','2','1-2_half_2.wav','1-2_half_2.fap'");
	// insert("'half','0.003','2','1-2_half_3.wav','1-2_half_3.fap'");
	// insert("'half','0.004','2','1-2_half_4.wav','1-2_half_4.fap'");
	// insert("'has come to a halt','0','2','1-2_hascometoahalt.wav','1-2_hascometoahalt.fap'");
	// insert("'has stopped','0','2','1-2_hasstopped.wav','1-2_hasstopped.fap'");
	// insert("'has weakened','0','2','1-2_hasweakened.wav','1-2_hasweakened.fap'");
	// insert("'holding an advantage of','0','2','1-2_holdinganadvantageof.wav','1-2_holdinganadvantageof.fap'");
	// insert("'in','0.001','2','1-2_in_3.wav','1-2_in_3.fap'");
	// insert("'in','0.002','2','1-2_in_4.wav','1-2_in_4.fap'");
	// insert("'is for','0','2','1-2_isfor.wav','1-2_isfor.fap'");
	// insert("'is','0.001','2','1-2_is_3.wav','1-2_is_3.fap'");
	// insert("'is','0.002','2','1-2_is_4.wav','1-2_is_4.fap'");
	// insert("'it is','0','2','1-2_itis.wav','1-2_itis.fap'");
	// insert("'last place','0','2','1-2_lastplace.wav','1-2_lastplace.fap'");
	// insert("'lengths','0','2','1-2_lengths.wav','1-2_lengths.fap'");
	// insert("'lets on out a notch','0','2','1-2_letsnotch.wav','1-2_letsnotch.fap'");
	// insert("'is losing pace','0','2','1-2_losingpace.wav','1-2_losingpace.fap'");
	// insert("'is making a move','0','2','1-2_makingmove.wav','1-2_makingmove.fap'");
	// insert("'maybe falling back to','0','2','1-2_fallingback.wav','1-2_fallingback.fap'");
	// insert("'mile','0','2','1-2_mile.wav','1-2_mile.fap'");
	// insert("'minute','0','2','1-2_minute.wav','1-2_minute.fap'");
	// insert("'minutes','0.001','2','1-2_minutes_2.wav','1-2_minutes_2.fap'");
	// insert("'minutes','0.002','2','1-2_minutes_3.wav','1-2_minutes_3.fap'");
	// insert("'moves up a place','0','2','1-2_movesup.wav','1-2_movesup.fap'");
	// insert("'nine','0','2','1-2_nine.wav','1-2_nine.fap'");
	// insert("'nineteen','0','2','1-2_nineteen.wav','1-2_nineteen.fap'");
	// insert("'now','0','2','1-2_now.wav','1-2_now.fap'");
	// insert("'of','0.001','2','1-2_of.wav','1-2_of.fap'");
	// insert("'of','0.002','2','1-2_of_2.wav','1-2_of_2.fap'");
	// insert("'of','0.003','2','1-2_of_3.wav','1-2_of_3.fap'");
	// insert("'of','0.004','2','1-2_of_4.wav','1-2_of_4.fap'");
	// insert("'Oh no','0','2','1-2_ohno.wav','1-2_ohno.fap'");
	// insert("'one','0','2','1-2_one_2.wav','1-2_one_2.fap'");
	// insert("'opening','0','2','1-2_opening.wav','1-2_opening.fap'");
	// insert("'is overtaken by','0','2','1-2_overtakenby.wav','1-2_overtakenby.fap'");
	// insert("'overtakes','0','2','1-2_overtakes.wav','1-2_overtakes.fap'");
	// insert("'quarter','0','2','1-2_quarter.wav','1-2_quarter.fap'");
	// insert("'races','0','2','1-2_races.wav','1-2_races.fap'");
	// insert("'is rallying','0','2','1-2_rallying.wav','1-2_rallying.fap'");
	// insert("'second place','0.001','2','1-2_secondplace.wav','1-2_secondplace.fap'");
	// insert("'second place','0.002','2','1-2_secondplace_2.wav','1-2_secondplace_2.fap'");
	// insert("'seconds','0.001','2','1-2_seconds.wav','1-2_seconds.fap'");
	// insert("'seconds','0.002','2','1-2_seconds_2.wav','1-2_seconds_2.fap'");
	// insert("'seconds','0.003','2','1-2_seconds_3.wav','1-2_seconds_3.fap'");
	// insert("'seconds','0.004','2','1-2_seconds_4.wav','1-2_seconds_4.fap'");
	// insert("'seven','0','2','1-2_seven.wav','1-2_seven.fap'");
	// insert("'seventeen','0','2','1-2_seventeen.wav','1-2_seventeen.fap'");
	// insert("'six','0','2','1-2_six.wav','1-2_six.fap'");
	// insert("'sixteen','0','2','1-2_sixteen.wav','1-2_sixteen.fap'");
	// insert("'ten','0','2','1-2_ten.wav','1-2_ten.fap'");
	// insert("'the back stretch','0','2','1-2_thebackstretch.wav','1-2_thebackstretch.fap'");
	// insert("'the clubhouse turn','0','2','1-2_theclubhouseturn.wav','1-2_theclubhouseturn.fap'");
	// insert("'the eighth pole','0','2','1-2_theeighthpole.wav','1-2_theeighthpole.fap'");
	// insert("'the far turn','0','2','1-2_thefarturn.wav','1-2_thefarturn.fap'");
	// insert("'the final 100 yards','0','2','1-2_thefinal100yards.wav','1-2_thefinal100yards.fap'");
	// insert("'the final stretch','0','2','1-2_thefinalstretch.wav','1-2_thefinalstretch.fap'");
	// insert("'the finish line','0','2','1-2_thefinishline.wav','1-2_thefinishline.fap'");
	// insert("'the first half pole','0','2','1-2_thefirsthalfpole.wav','1-2_thefirsthalfpole.fap'");
	// insert("'the first pole','0','2','1-2_thefirstpole.wav','1-2_thefirstpole.fap'");
	// insert("'the first turn','0','2','1-2_thefirstturn.wav','1-2_thefirstturn.fap'");
	// insert("'the home stretch','0','2','1-2_thehomestretch.wav','1-2_thehomestretch.fap'");
	// insert("'the lead','0','2','1-2_thelead.wav','1-2_thelead.fap'");
	// insert("'the quarter pole','0','2','1-2_thequarterpole.wav','1-2_thequarterpole.fap'");
	// insert("'the top of the back stretch','0.001','2','1-2_thetopofthebackstretch.wav','1-2_thetopofthebackstretch.fap'");
	// insert("'the top of the back stretch','0.002','2','1-2_thetopofthebackstretch_2.wav','1-2_thetopofthebackstretch_2.fap'");
	// insert("'the top of the final stretch','0','2','1-2_thetopofthefinalstretch.wav','1-2_thetopofthefinalstretch.fap'");
	// insert("'the top of the home stretch','0','2','1-2_thetopofthehomestretch.wav','1-2_thetopofthehomestretch.fap'");
	// insert("'they go around','0.001','2','1-2_theygoaround.wav','1-2_theygoaround.fap'");
	// insert("'they go around','0.002','2','1-2_theygoaround_2.wav','1-2_theygoaround_2.fap'");
	// insert("'they go around','0.003','2','1-2_theygoaround_3.wav','1-2_theygoaround_3.fap'");
	// insert("'they go down','0.001','2','1-2_theygodown.wav','1-2_theygodown.fap'");
	// insert("'they go down','0.002','2','1-2_theygodown_2.wav','1-2_theygodown_2.fap'");
	// insert("'And they`re off','0','2','1-2_theyreoff.wav','1-2_theyreoff.fap'");
	// insert("'they`ve come to','0.001','2','1-2_theyvecometo.wav','1-2_theyvecometo.fap'");
	// insert("'they`ve come to','0.002','2','1-2_theyvecometo_2.wav','1-2_theyvecometo_2.fap'");
	// insert("'they`ve come to','0.003','2','1-2_theyvecometo_3.wav','1-2_theyvecometo_3.fap'");
	// insert("'they`ve reached','0.001','2','1-2_theyvereached.wav','1-2_theyvereached.fap'");
	// insert("'they`ve reached','0.002','2','1-2_theyvereached_2.wav','1-2_theyvereached_2.fap'");
	// insert("'the','0.001','2','1-2_the_4.wav','1-2_the_4.fap'");
	// insert("'the','0.002','2','1-2_the_5.wav','1-2_the_5.fap'");
	// insert("'third place','0.001','2','1-2_thirdplace.wav','1-2_thirdplace.fap'");
	// insert("'third place','0.002','2','1-2_thirdplace_2.wav','1-2_thirdplace_2.fap'");
	// insert("'thirteen','0','2','1-2_thirteen.wav','1-2_thirteen.fap'");
	// insert("'thirty','0','2','1-2_thirty.wav','1-2_thirty.fap'");
	// insert("'three','0','2','1-2_three.wav','1-2_three.fap'");
	// insert("'to','0.001','2','1-2_to.wav','1-2_to.fap'");
	// insert("'is toiling','0','2','1-2_toiling.wav','1-2_toiling.fap'");
	// insert("'Topaz','0.001','2','1-2_topaz_3.wav','1-2_topaz_3.fap'");
	// insert("'Topaz','0.002','2','1-2_topaz_4.wav','1-2_topaz_4.fap'");
	// insert("'to take','0.001','2','1-2_totake.wav','1-2_totake.fap'");
	// insert("'to take','0.002','2','1-2_totake_2.wav','1-2_totake_2.fap'");
	// insert("'to','0.002','2','1-2_to_2.wav','1-2_to_2.fap'");
	// insert("'twelve','0','2','1-2_twelve.wav','1-2_twelve.fap'");
	// insert("'twenty','0','2','1-2_twenty.wav','1-2_twenty.fap'");
	// insert("'two','0.001','2','1-2_two.wav','1-2_two.fap'");
	// insert("'two','0.002','2','1-2_two_2.wav','1-2_two_2.fap'");
	// insert("'It`s unbelievable','0','2','1-2_unbelievable.wav','1-2_unbelievable.fap'");
	// insert("'very tight behind','0','2','1-2_verytightbehind.wav','1-2_verytightbehind.fap'");
	// insert("'was','0.001','2','1-2_was.wav','1-2_was.fap'");
	// insert("'was','0.002','2','1-2_was_2.wav','1-2_was_2.fap'");
	// insert("'Welcome to another race at the virtual GALA race track!','0','2','1-2_welcome.wav','1-2_welcome.fap'");
	// insert("'went','0','2','1-2_went.wav','1-2_went.fap'");
	// insert("'who takes the race','0','2','1-2_whotakestherace.wav','1-2_whotakestherace.fap'");
	// insert("'with a break','0.001','2','1-2_withabreak.wav','1-2_withabreak.fap'");
	// insert("'with a break','0.002','2','1-2_withabreak_2.wav','1-2_withabreak_2.fap'");
	// insert("'with a difference','0','2','1-2_withadifference.wav','1-2_withadifference.fap'");
	// insert("'yards','0','2','1-2_yards.wav','1-2_yards.fap'");
	// insert("'zero','0','2','1-2_zero.wav','1-2_zero.fap'");
	// }
	//
	// /**
	// * Method that fills the speech table with the data for the speech
	// particles
	// * with tension bounds between 2 and 4 TODO: Automation of the process.
	// */
	// public void insertlevel24list() {
	//
	// insert("'a furlong','2','4','2-4_afurlong.wav','2-4_afurlong.fap'");
	// insert("'a length','2','4','2-4_alength.wav','2-4_alength.fap'");
	// insert("'and','2','4','2-4_and.wav','2-4_and.fap'");
	// insert("'and','2.002','4','2-4_and_2.wav','2-4_and_2.fap'");
	// insert("'and','2.001','4','2-4_and_3.wav','2-4_and_3.fap'");
	// insert("'and','2.004','4','2-4_and_4.wav','2-4_and_4.fap'");
	// insert("'and','2.003','4','2-4_and_5.wav','2-4_and_5.fap'");
	// insert("'a yard','2','4','2-4_ayard.wav','2-4_ayard.fap'");
	// insert("'Azure','2.001','4','2-4_azure.wav','2-4_azure.fap'");
	// insert("'Azure','2.005','4','2-4_azure_2.wav','2-4_azure_2.fap'");
	// insert("'Azure','2.002','4','2-4_azure_3.wav','2-4_azure_3.fap'");
	// insert("'Azure','2.003','4','2-4_azure_4.wav','2-4_azure_4.fap'");
	// insert("'Azure','2.004','4','2-4_azure_5.wav','2-4_azure_5.fap'");
	// insert("'breaking away of','2.001','4','2-4_breakingawayof.wav','2-4_breakingawayof.fap'");
	// insert("'breaking away of','2.002','4','2-4_breakingawayof_2.wav','2-4_breakingawayof_2.fap'");
	// insert("'breaking away of','2.003','4','2-4_breakingawayof_3.wav','2-4_breakingawayof_3.fap'");
	// insert("'Carmine','2','4','2-4_carmine.wav','2-4_carmine.fap'");
	// insert("'Carmine','2.004','4','2-4_carmine_2.wav','2-4_carmine_2.fap'");
	// insert("'Carmine','2.001','4','2-4_carmine_3.wav','2-4_carmine_3.fap'");
	// insert("'Carmine','2.002','4','2-4_carmine_4.wav','2-4_carmine_4.fap'");
	// insert("'Carmine','2.003','4','2-4_carmine_5.wav','2-4_carmine_5.fap'");
	// insert("'is coming on','2','4','2-4_comingon.wav','2-4_comingon.fap'");
	// insert("'coming very close to','2','4','2-4_comingverycloseto.wav','2-4_comingverycloseto.fap'");
	// insert("'coming within','2','4','2-4_comingwithin.wav','2-4_comingwithin.fap'");
	// insert("'Eben','2.001','4','2-4_eben.wav','2-4_eben.fap'");
	// insert("'Eben','2.002','4','2-4_eben_2.wav','2-4_eben_2.fap'");
	// insert("'Eben','2.003','4','2-4_eben_3.wav','2-4_eben_3.fap'");
	// insert("'Eben','2.004','4','2-4_eben_4.wav','2-4_eben_4.fap'");
	// insert("'eight','2','4','2-4_eight.wav','2-4_eight.fap'");
	// insert("'eighteen','2.002','4','2-4_eighteen.wav','2-4_eighteen.fap'");
	// insert("'eleven','2','4','2-4_eleven.wav','2-4_eleven.fap'");
	// insert("'maybe falling back to','2','4','2-4_fallingback.wav','2-4_fallingback.fap'");
	// insert("'fifteen','2.001','4','2-4_fifteen.wav','2-4_fifteen.fap'");
	// insert("'fifth','2.001','4','2-4_fifth.wav','2-4_fifth.fap'");
	// insert("'fifth','2.002','4','2-4_fifth_2.wav','2-4_fifth_2.fap'");
	// insert("'fifth','2.003','4','2-4_fifth_3.wav','2-4_fifth_3.fap'");
	// insert("'fifty','2','4','2-4_fifty.wav','2-4_fifty.fap'");
	// insert("'finish time','2.001','4','2-4_finishtime.wav','2-4_finishtime.fap'");
	// insert("'first place','2','4','2-4_firstplace.wav','2-4_firstplace.fap'");
	// insert("'five','2.001','4','2-4_five.wav','2-4_five.fap'");
	// insert("'five','2.002','4','2-4_five_2.wav','2-4_five_2.fap'");
	// insert("'forty','2','4','2-4_forty.wav','2-4_forty.fap'");
	// insert("'four','2','4','2-4_four.wav','2-4_four.fap'");
	// insert("'for','2','4','2-4_for.wav','2-4_for.fap'");
	// insert("'fourteen','2','4','2-4_fourteen.wav','2-4_fourteen.fap'");
	// insert("'fourth place','2','4','2-4_fourthplace.wav','2-4_fourthplace.fap'");
	// insert("'gets in','2','4','2-4_getsin.wav','2-4_getsin.fap'");
	// insert("'getting clear of','2','4','2-4_gettingclearof.wav','2-4_gettingclearof.fap'");
	// insert("'maybe going back in','2','4','2-4_goingback.wav','2-4_goingback.fap'");
	// insert("'half','2.001','4','2-4_half.wav','2-4_half.fap'");
	// insert("'half','2.002','4','2-4_half_2.wav','2-4_half_2.fap'");
	// insert("'half','2.003','4','2-4_half_3.wav','2-4_half_3.fap'");
	// insert("'half','2.004','4','2-4_half_4.wav','2-4_half_4.fap'");
	// insert("'has come to a halt','2','4','2-4_hascometoahalt.wav','2-4_hascometoahalt.fap'");
	// insert("'has stopped','2','4','2-4_hasstopped.wav','2-4_hasstopped.fap'");
	// insert("'has weakened','2','4','2-4_hasweakened.wav','2-4_hasweakened.fap'");
	// insert("'holding an advantage of','2','4','2-4_holdinganadvantageof.wav','2-4_holdinganadvantageof.fap'");
	// insert("'in','2.001','4','2-4_in.wav','2-4_in.fap'");
	// insert("'is for','2','4','2-4_isfor.wav','2-4_isfor.fap'");
	// insert("'is','2.001','4','2-4_is.wav','2-4_is.fap'");
	// insert("'it is','2','4','2-4_itis.wav','2-4_itis.fap'");
	// insert("'last place','2','4','2-4_lastplace.wav','2-4_lastplace.fap'");
	// insert("'last place','2.001','4','2-4_lastplace_2.wav','2-4_lastplace_2.fap'");
	// insert("'lengths','2','4','2-4_lengths.wav','2-4_lengths.fap'");
	// insert("'lets on out a notch','2','4','2-4_letsnotch.wav','2-4_letsnotch.fap'");
	// insert("'is losing pace','2','4','2-4_losingpace.wav','2-4_losingpace.fap'");
	// insert("'is making a move','2','4','2-4_makingmove.wav','2-4_makingmove.fap'");
	// insert("'mile','2','4','2-4_mile.wav','2-4_mile.fap'");
	// insert("'minute','2','4','2-4_minute.wav','2-4_minute.fap'");
	// insert("'minutes','2.001','4','2-4_minutes_2.wav','2-4_minutes_2.fap'");
	// insert("'moves up a place','2','4','2-4_movesup.wav','2-4_movesup.fap'");
	// insert("'nine','2','4','2-4_nine.wav','2-4_nine.fap'");
	// insert("'nineteen','2','4','2-4_nineteen.wav','2-4_nineteen.fap'");
	// insert("'now','2','4','2-4_now.wav','2-4_now.fap'");
	// insert("'now','2.001','4','2-4_now_2.wav','2-4_now_2.fap'");
	// insert("'of','2.001','4','2-4_of.wav','2-4_of.fap'");
	// insert("'Oh no','2','4','2-4_ohno.wav','2-4_ohno.fap'");
	// insert("'one','2','4','2-4_one_2.wav','2-4_one_2.fap'");
	// insert("'one','2.001','4','2-4_one.wav','2-4_one.fap'");
	// insert("'opening','2','4','2-4_opening.wav','2-4_opening.fap'");
	// insert("'is overtaken by','2','4','2-4_overtakenby.wav','2-4_overtakenby.fap'");
	// insert("'overtakes','2','4','2-4_overtakes.wav','2-4_overtakes.fap'");
	// insert("'quarter','2','4','2-4_quarter.wav','2-4_quarter.fap'");
	// insert("'races','2','4','2-4_races.wav','2-4_races.fap'");
	// insert("'is rallying','2','4','2-4_rallying.wav','2-4_rallying.fap'");
	// insert("'second place','2.001','4','2-4_secondplace.wav','2-4_secondplace.fap'");
	// insert("'second place','2.002','4','2-4_secondplace_2.wav','2-4_secondplace_2.fap'");
	// insert("'second place','2.003','4','2-4_secondplace_3.wav','2-4_secondplace_3.fap'");
	// insert("'seconds','2.001','4','2-4_seconds.wav','2-4_seconds.fap'");
	// insert("'seconds','2.002','4','2-4_seconds_2.wav','2-4_seconds_2.fap'");
	// insert("'seconds','2.003','4','2-4_seconds_3.wav','2-4_seconds_3.fap'");
	// insert("'seven','2','4','2-4_seven.wav','2-4_seven.fap'");
	// insert("'seventeen','2','4','2-4_seventeen.wav','2-4_seventeen.fap'");
	// insert("'six','2','4','2-4_six.wav','2-4_six.fap'");
	// insert("'sixteen','2','4','2-4_sixteen.wav','2-4_sixteen.fap'");
	// insert("'ten','2','4','2-4_ten.wav','2-4_ten.fap'");
	// insert("'the back stretch','2','4','2-4_thebackstretch.wav','2-4_thebackstretch.fap'");
	// insert("'the clubhouse turn','2','4','2-4_theclubhouseturn.wav','2-4_theclubhouseturn.fap'");
	// insert("'the eighth pole','2','4','2-4_theeighthpole.wav','2-4_theeighthpole.fap'");
	// insert("'the far turn','2','4','2-4_thefarturn.wav','2-4_thefarturn.fap'");
	// insert("'the final 100 yards','2','4','2-4_thefinal100yards.wav','2-4_thefinal100yards.fap'");
	// insert("'the final 100 yards','2.001','4','2-4_thefinal100yards_2.wav','2-4_thefinal100yards_2.fap'");
	// insert("'the final stretch','2','4','2-4_thefinalstretch.wav','2-4_thefinalstretch.fap'");
	// insert("'the finish line','2','4','2-4_thefinishline.wav','2-4_thefinishline.fap'");
	// insert("'the finish line','2.001','4','2-4_thefinishline_2.wav','2-4_thefinishline_2.fap'");
	// insert("'the first half pole','2','4','2-4_thefirsthalfpole.wav','2-4_thefirsthalfpole.fap'");
	// insert("'the first pole','2','4','2-4_thefirstpole.wav','2-4_thefirstpole.fap'");
	// insert("'the first turn','2','4','2-4_thefirstturn.wav','2-4_thefirstturn.fap'");
	// insert("'the home stretch','2','4','2-4_thehomestretch.wav','2-4_thehomestretch.fap'");
	// insert("'the lead','2','4','2-4_thelead.wav','2-4_thelead.fap'");
	// insert("'the quarter pole','2','4','2-4_thequarterpole.wav','2-4_thequarterpole.fap'");
	// insert("'the top of the back stretch','2.001','4','2-4_thetopofthebackstretch.wav','2-4_thetopofthebackstretch.fap'");
	// insert("'the top of the final stretch','2','4','2-4_thetopofthefinalstretch.wav','2-4_thetopofthefinalstretch.fap'");
	// insert("'the top of the home stretch','2','4','2-4_thetopofthehomestretch.wav','2-4_thetopofthehomestretch.fap'");
	// insert("'they go around','2.001','4','2-4_theygoaround.wav','2-4_theygoaround.fap'");
	// insert("'they go around','2.002','4','2-4_theygoaround_2.wav','2-4_theygoaround_2.fap'");
	// insert("'they go around','2.003','4','2-4_theygoaround_3.wav','2-4_theygoaround_3.fap'");
	// insert("'they go down','2.001','4','2-4_theygodown.wav','2-4_theygodown.fap'");
	// insert("'they go down','2.002','4','2-4_theygodown_2.wav','2-4_theygodown_2.fap'");
	// insert("'they go down','2.003','4','2-4_theygodown_3.wav','2-4_theygodown_3.fap'");
	// insert("'And they`re off','2','4','2-4_theyreoff.wav','2-4_theyreoff.fap'");
	// insert("'they`ve come to','2.001','4','2-4_theyvecometo.wav','2-4_theyvecometo.fap'");
	// insert("'they`ve come to','2.002','4','2-4_theyvecometo_2.wav','2-4_theyvecometo_2.fap'");
	// insert("'they`ve reached','2.001','4','2-4_theyvereached.wav','2-4_theyvereached.fap'");
	// insert("'the','2.001','4','2-4_the.wav','2-4_the.fap'");
	// insert("'third place','2.001','4','2-4_thirdplace.wav','2-4_thirdplace.fap'");
	// insert("'thirteen','2','4','2-4_thirteen.wav','2-4_thirteen.fap'");
	// insert("'thirty','2','4','2-4_thirty.wav','2-4_thirty.fap'");
	// insert("'three','2','4','2-4_three.wav','2-4_three.fap'");
	// insert("'to','2.001','4','2-4_to.wav','2-4_to.fap'");
	// insert("'is toiling','2','4','2-4_toiling.wav','2-4_toiling.fap'");
	// insert("'Topaz','2.001','4','2-4_topaz.wav','2-4_topaz.fap'");
	// insert("'Topaz','2.002','4','2-4_topaz_2.wav','2-4_topaz_2.fap'");
	// insert("'Topaz','2.003','4','2-4_topaz_3.wav','2-4_topaz_3.fap'");
	// insert("'Topaz','2.004','4','2-4_topaz_4.wav','2-4_topaz_4.fap'");
	// insert("'Topaz','2.005','4','2-4_topaz_5.wav','2-4_topaz_5.fap'");
	// insert("'to take','2.001','4','2-4_totake.wav','2-4_totake.fap'");
	// insert("'to take','2.002','4','2-4_totake_2.wav','2-4_totake_2.fap'");
	// insert("'twelve','2','4','2-4_twelve.wav','2-4_twelve.fap'");
	// insert("'twenty','2','4','2-4_twenty.wav','2-4_twenty.fap'");
	// insert("'two','2.001','4','2-4_two.wav','2-4_two.fap'");
	// insert("'two','2.002','4','2-4_two_2.wav','2-4_two_2.fap'");
	// insert("'It`s unbelievable','2','4','2-4_unbelievable.wav','2-4_unbelievable.fap'");
	// insert("'very tight behind','2','4','2-4_verytightbehind.wav','2-4_verytightbehind.fap'");
	// insert("'was','2.001','4','2-4_was.wav','2-4_was.fap'");
	// insert("'was','2.002','4','2-4_was_2.wav','2-4_was_2.fap'");
	// insert("'was','2.003','4','2-4_was_3.wav','2-4_was_3.fap'");
	// insert("'Welcome to another race at the virtual GALA race track!','2','4','2-4_welcome.wav','2-4_welcome.fap'");
	// insert("'went','2','4','2-4_went.wav','2-4_went.fap'");
	// insert("'went','2.001','4','2-4_went_2.wav','2-4_went_2.fap'");
	// insert("'went','2.002','4','2-4_went_3.wav','2-4_went_3.fap'");
	// insert("'who takes the race','2','4','2-4_whotakestherace.wav','2-4_whotakestherace.fap'");
	// insert("'with a break','2.001','4','2-4_withabreak.wav','2-4_withabreak.fap'");
	// insert("'with a break','2.002','4','2-4_withabreak_2.wav','2-4_withabreak_2.fap'");
	// insert("'with a difference','2','4','2-4_withadifference.wav','2-4_withadifference.fap'");
	// insert("'yards','2','4','2-4_yards.wav','2-4_yards.fap'");
	// insert("'zero','2','4','2-4_zero.wav','2-4_zero.fap'");
	// }
	//
	// /**
	// * Method that fills the speech table with the data for the speech
	// particles
	// * with tension bounds between 4 and 5 TODO: Automation of the process.
	// */
	// public void insertlevel45list() {
	// insert("'a furlong','4','5','4-5_afurlong.wav','4-5_afurlong.fap'");
	// insert("'a length','4','5','4-5_alength.wav','4-5_alength.fap'");
	// insert("'and','4','5','4-5_and.wav','4-5_and.fap'");
	// insert("'and','4.002','5','4-5_and_2.wav','4-5_and_2.fap'");
	// insert("'a yard','4','5','4-5_ayard.wav','4-5_ayard.fap'");
	// insert("'Azure','4.001','5','4-5_azure.wav','4-5_azure.fap'");
	// insert("'Azure','4.005','5','4-5_azure_2.wav','4-5_azure_2.fap'");
	// insert("'Azure','4.002','5','4-5_azure_3.wav','4-5_azure_3.fap'");
	// insert("'Azure','4.003','5','4-5_azure_4.wav','4-5_azure_4.fap'");
	// insert("'breaking away of','4.001','5','4-5_breakingawayof.wav','4-5_breakingawayof.fap'");
	// insert("'breaking away of','4.002','5','4-5_breakingawayof_2.wav','4-5_breakingawayof_2.fap'");
	// insert("'Carmine','4','5','4-5_carmine.wav','4-5_carmine.fap'");
	// insert("'Carmine','4.004','5','4-5_carmine_2.wav','4-5_carmine_2.fap'");
	// insert("'Carmine','4.001','5','4-5_carmine_3.wav','4-5_carmine_3.fap'");
	// insert("'Carmine','4.002','5','4-5_carmine_4.wav','4-5_carmine_4.fap'");
	// insert("'is coming on','4','5','4-5_comingon.wav','4-5_comingon.fap'");
	// insert("'coming very close to','4','5','4-5_comingverycloseto.wav','4-5_comingverycloseto.fap'");
	// insert("'coming within','4','5','4-5_comingwithin.wav','4-5_comingwithin.fap'");
	// insert("'Eben','4.001','5','4-5_eben.wav','4-5_eben.fap'");
	// insert("'Eben','4.002','5','4-5_eben_2.wav','4-5_eben_2.fap'");
	// insert("'Eben','4.003','5','4-5_eben_3.wav','4-5_eben_3.fap'");
	// insert("'eight','4','5','4-5_eight.wav','4-5_eight.fap'");
	// insert("'eighteen','4.002','5','4-5_eighteen.wav','4-5_eighteen.fap'");
	// insert("'eleven','4','5','4-5_eleven.wav','4-5_eleven.fap'");
	// insert("'maybe falling back to','4','5','4-5_fallingback.wav','4-5_fallingback.fap'");
	// insert("'fifteen','4.001','5','4-5_fifteen.wav','4-5_fifteen.fap'");
	// insert("'fifth','4.001','5','4-5_fifth.wav','4-5_fifth.fap'");
	// insert("'fifth','4.002','5','4-5_fifth_2.wav','4-5_fifth_2.fap'");
	// insert("'fifty','4','5','4-5_fifty.wav','4-5_fifty.fap'");
	// insert("'finish time','4.001','5','4-5_finishtime.wav','4-5_finishtime.fap'");
	// insert("'first place','4','5','4-5_firstplace.wav','4-5_firstplace.fap'");
	// insert("'five','4.001','5','4-5_five.wav','4-5_five.fap'");
	// insert("'five','4.002','5','4-5_five_2.wav','4-5_five_2.fap'");
	// insert("'forty','4','5','4-5_forty.wav','4-5_forty.fap'");
	// insert("'four','4','5','4-5_four.wav','4-5_four.fap'");
	// insert("'for','4','5','4-5_for.wav','4-5_for.fap'");
	// insert("'fourteen','4','5','4-5_fourteen.wav','4-5_fourteen.fap'");
	// insert("'fourth place','4','5','4-5_fourthplace.wav','4-5_fourthplace.fap'");
	// insert("'gets in','4','5','4-5_getsin.wav','4-5_getsin.fap'");
	// insert("'getting clear of','4','5','4-5_gettingclearof.wav','4-5_gettingclearof.fap'");
	// insert("'maybe going back in','4','5','4-5_goingback.wav','4-5_goingback.fap'");
	// insert("'half','4.001','5','4-5_half.wav','4-5_half.fap'");
	// insert("'half','4.002','5','4-5_half_2.wav','4-5_half_2.fap'");
	// insert("'half','4.003','5','4-5_half_3.wav','4-5_half_3.fap'");
	// insert("'has come to a halt','4','5','4-5_hascometoahalt.wav','4-5_hascometoahalt.fap'");
	// insert("'has stopped','4','5','4-5_hasstopped.wav','4-5_hasstopped.fap'");
	// insert("'has weakened','4','5','4-5_hasweakened.wav','4-5_hasweakened.fap'");
	// insert("'holding an advantage of','4','5','4-5_holdinganadvantageof.wav','4-5_holdinganadvantageof.fap'");
	// insert("'in','4.001','5','4-5_in.wav','4-5_in.fap'");
	// insert("'is for','4','5','4-5_isfor.wav','4-5_isfor.fap'");
	// insert("'is','4.001','5','4-5_is.wav','4-5_is.fap'");
	// insert("'is','4.002','5','4-5_is_2.wav','4-5_is_2.fap'");
	// insert("'it is','4','5','4-5_itis.wav','4-5_itis.fap'");
	// insert("'last place','4','5','4-5_lastplace.wav','4-5_lastplace.fap'");
	// insert("'lengths','4','5','4-5_lengths.wav','4-5_lengths.fap'");
	// insert("'lets on out a notch','4','5','4-5_letsnotch.wav','4-5_letsnotch.fap'");
	// insert("'is losing pace','4','5','4-5_losingpace.wav','4-5_losingpace.fap'");
	// insert("'is making a move','4','5','4-5_makingmove.wav','4-5_makingmove.fap'");
	// insert("'mile','4','5','4-5_mile.wav','4-5_mile.fap'");
	// insert("'minute','4','5','4-5_minute.wav','4-5_minute.fap'");
	// insert("'minutes','4.001','5','4-5_minutes_2.wav','4-5_minutes_2.fap'");
	// insert("'moves up a place','4','5','4-5_movesup.wav','4-5_movesup.fap'");
	// insert("'nine','4','5','4-5_nine.wav','4-5_nine.fap'");
	// insert("'nineteen','4','5','4-5_nineteen.wav','4-5_nineteen.fap'");
	// insert("'now','4','5','4-5_now.wav','4-5_now.fap'");
	// insert("'now','4.001','5','4-5_now_2.wav','4-5_now_2.fap'");
	// insert("'of','4.001','5','4-5_of.wav','4-5_of.fap'");
	// insert("'Oh no','4','5','4-5_ohno.wav','4-5_ohno.fap'");
	// insert("'one','4.001','5','4-5_one.wav','4-5_one.fap'");
	// insert("'opening','4','5','4-5_opening.wav','4-5_opening.fap'");
	// insert("'is overtaken by','4','5','4-5_overtakenby.wav','4-5_overtakenby.fap'");
	// insert("'overtakes','4','5','4-5_overtakes.wav','4-5_overtakes.fap'");
	// insert("'quarter','4','5','4-5_quarter.wav','4-5_quarter.fap'");
	// insert("'races','4','5','4-5_races.wav','4-5_races.fap'");
	// insert("'is rallying','4','5','4-5_rallying.wav','4-5_rallying.fap'");
	// insert("'second place','4.001','5','4-5_secondplace.wav','4-5_secondplace.fap'");
	// insert("'second place','4.002','5','4-5_secondplace_2.wav','4-5_secondplace_2.fap'");
	// insert("'seconds','4.001','5','4-5_seconds.wav','4-5_seconds.fap'");
	// insert("'seconds','4.002','5','4-5_seconds_2.wav','4-5_seconds_2.fap'");
	// insert("'seconds','4.003','5','4-5_seconds_3.wav','4-5_seconds_3.fap'");
	// insert("'seven','4','5','4-5_seven.wav','4-5_seven.fap'");
	// insert("'seventeen','4','5','4-5_seventeen.wav','4-5_seventeen.fap'");
	// insert("'six','4','5','4-5_six.wav','4-5_six.fap'");
	// insert("'sixteen','4','5','4-5_sixteen.wav','4-5_sixteen.fap'");
	// insert("'ten','4','5','4-5_ten.wav','4-5_ten.fap'");
	// insert("'the back stretch','4','5','4-5_thebackstretch.wav','4-5_thebackstretch.fap'");
	// insert("'the clubhouse turn','4','5','4-5_theclubhouseturn.wav','4-5_theclubhouseturn.fap'");
	// insert("'the eighth pole','4','5','4-5_theeighthpole.wav','4-5_theeighthpole.fap'");
	// insert("'the far turn','4','5','4-5_thefarturn.wav','4-5_thefarturn.fap'");
	// insert("'the final 100 yards','4','5','4-5_thefinal100yards.wav','4-5_thefinal100yards.fap'");
	// insert("'the final stretch','4','5','4-5_thefinalstretch.wav','4-5_thefinalstretch.fap'");
	// insert("'the finish line','4','5','4-5_thefinishline.wav','4-5_thefinishline.fap'");
	// insert("'the first half pole','4','5','4-5_thefirsthalfpole.wav','4-5_thefirsthalfpole.fap'");
	// insert("'the first pole','4','5','4-5_thefirstpole.wav','4-5_thefirstpole.fap'");
	// insert("'the first turn','4','5','4-5_thefirstturn.wav','4-5_thefirstturn.fap'");
	// insert("'the home stretch','4','5','4-5_thehomestretch.wav','4-5_thehomestretch.fap'");
	// insert("'the lead','4','5','4-5_thelead.wav','4-5_thelead.fap'");
	// insert("'the quarter pole','4','5','4-5_thequarterpole.wav','4-5_thequarterpole.fap'");
	// insert("'the top of the back stretch','4.001','5','4-5_thetopofthebackstretch.wav','4-5_thetopofthebackstretch.fap'");
	// insert("'the top of the final stretch','4','5','4-5_thetopofthefinalstretch.wav','4-5_thetopofthefinalstretch.fap'");
	// insert("'the top of the home stretch','4','5','4-5_thetopofthehomestretch.wav','4-5_thetopofthehomestretch.fap'");
	// insert("'they go around','4.001','5','4-5_theygoaround.wav','4-5_theygoaround.fap'");
	// insert("'they go around','4.002','5','4-5_theygoaround_2.wav','4-5_theygoaround_2.fap'");
	// insert("'they go down','4.001','5','4-5_theygodown.wav','4-5_theygodown.fap'");
	// insert("'they go down','4.002','5','4-5_theygodown_2.wav','4-5_theygodown_2.fap'");
	// insert("'And they`re off','4','5','4-5_theyreoff.wav','4-5_theyreoff.fap'");
	// insert("'they`ve come to','4.001','5','4-5_theyvecometo.wav','4-5_theyvecometo.fap'");
	// insert("'they`ve reached','4.001','5','4-5_theyvereached.wav','4-5_theyvereached.fap'");
	// insert("'the','4.001','5','4-5_the.wav','4-5_the.fap'");
	// insert("'third place','4.001','5','4-5_thirdplace.wav','4-5_thirdplace.fap'");
	// insert("'thirteen','4','5','4-5_thirteen.wav','4-5_thirteen.fap'");
	// insert("'thirty','4','5','4-5_thirty.wav','4-5_thirty.fap'");
	// insert("'three','4','5','4-5_three.wav','4-5_three.fap'");
	// insert("'to','4.001','5','4-5_to.wav','4-5_to.fap'");
	// insert("'is toiling','4','5','4-5_toiling.wav','4-5_toiling.fap'");
	// insert("'Topaz','4.001','5','4-5_topaz.wav','4-5_topaz.fap'");
	// insert("'Topaz','4.002','5','4-5_topaz_2.wav','4-5_topaz_2.fap'");
	// insert("'Topaz','4.003','5','4-5_topaz_3.wav','4-5_topaz_3.fap'");
	// insert("'to take','4.001','5','4-5_totake.wav','4-5_totake.fap'");
	// insert("'twelve','4','5','4-5_twelve.wav','4-5_twelve.fap'");
	// insert("'twenty','4','5','4-5_twenty.wav','4-5_twenty.fap'");
	// insert("'two','4.001','5','4-5_two.wav','4-5_two.fap'");
	// insert("'two','4.002','5','4-5_two_2.wav','4-5_two_2.fap'");
	// insert("'It`s unbelievable','4','5','4-5_unbelievable.wav','4-5_unbelievable.fap'");
	// insert("'very tight behind','4','5','4-5_verytightbehind.wav','4-5_verytightbehind.fap'");
	// insert("'was','4.001','5','4-5_was.wav','4-5_was.fap'");
	// insert("'was','4.002','5','4-5_was_2.wav','4-5_was_2.fap'");
	// insert("'went','4','5','4-5_went.wav','4-5_went.fap'");
	// insert("'went','4.001','5','4-5_went_2.wav','4-5_went_2.fap'");
	// insert("'who takes the race','4','5','4-5_whotakestherace.wav','4-5_whotakestherace.fap'");
	// insert("'with a break','4.001','5','4-5_withabreak.wav','4-5_withabreak.fap'");
	// insert("'with a difference','4','5','4-5_withadifference.wav','4-5_withadifference.fap'");
	// insert("'yards','4','5','4-5_yards.wav','4-5_yards.fap'");
	// insert("'zero','4','5','4-5_zero.wav','4-5_zero.fap'");
	// }
	//
}
