/* 
 * Copyright (C) 2009 HMI Group, University of Twente.
 *
 * @author Franois L.A. Knoppel <[alias] francois [on server at] knoppel.nl>
 * @author Almer S. Tigelaar <[alias] almer [on server at] gnome.org>
 * @author Danny Oude Bos <[alias] d.oudebos [on server at] utwente.nl>
 * @author Thijs Alofs <[alias] t.alofs [on server at] alumnus.utwente.nl>
 *
 * This file is part of the DEIRA project, which is free software; you can redistribute it
 * and/or modify it under the terms of the GNU "Lesser" General Public License v3 as published by the 
 * Free Software Foundation.
 */

package nl.utwente.ewi.hmi.deira.gui;

//import java.awt.Container;
//import java.awt.FlowLayout;
//import java.awt.GridLayout;
//import java.awt.event.ActionEvent;
//import java.awt.event.ActionListener;
//import java.awt.event.WindowAdapter;
//import java.awt.event.WindowEvent;
//import java.io.IOException;
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.Timer;
//import java.util.TimerTask;
//
//import javax.swing.JButton;
//import javax.swing.JFrame;
//import javax.swing.JLabel;
//import javax.swing.JScrollPane;
//import javax.swing.JSlider;
//import javax.swing.JTextArea;
//
//import nl.utwente.ewi.hmi.deira.db.PersonalityDB;
//import nl.utwente.ewi.hmi.deira.fam.HRFacialAnimator;
//import nl.utwente.ewi.hmi.deira.generic.Module;
//import nl.utwente.ewi.hmi.deira.iam.vsiam.VSAnalysis;
//import nl.utwente.ewi.hmi.deira.mmm.EmotionalCharacteristics;
//import nl.utwente.ewi.hmi.deira.mmm.EmotionalState;
//import nl.utwente.ewi.hmi.deira.mmm.MMM;
//import nl.utwente.ewi.hmi.deira.mmm.MMMEvent;
//import nl.utwente.ewi.hmi.deira.om.OutputEvent;
//import nl.utwente.ewi.hmi.deira.queue.EventComparator;
//import nl.utwente.ewi.hmi.deira.queue.EventQueue;

/**
 * Swing Graphical User Interface for the DEIRA project.
 * 
 * @deprecated
 */
public class DEIRAGUI
// extends TimerTask implements OutputEvent, MMMEvent
{
	// private ArrayList<Module> modules = new ArrayList<Module>();
	//
	// private om.VisageOutputter om;
	// private queue.EventQueue queue;
	// private db.PersonalityDB personalityDB;
	//
	// private JFrame frame;
	// private JButton connBtn;
	// private JButton launchHRSSBtn;
	// private JButton launchVLBtn;
	// private JButton startBtn;
	// private JButton stopBtn;
	// private JTextArea text;
	// private JScrollPane textScroller;
	// private EmotionGraphPanel egPanel;
	//
	// private Timer timer;
	// private JSlider esTension;
	// private JSlider esSurprise;
	// private JSlider esAmusement;
	// private JSlider esPity;
	// private int esTensionGoal;
	// private int esSurpriseGoal;
	// private int esAmusementGoal;
	// private int esPityGoal;
	//
	// private int graphUpdateCounter = 0;
	// private boolean raceStarted = false;
	//
	// private int mode = 0;
	//
	// public static final int MODE_HR = 1;
	// /** < Horse Race Mode */
	// public static final int MODE_VVC = 2;
	// /** < Virtual Footbal Commentary Mode */
	// public static final int MODE_VS = 3;
	// /** < Virtual Story Teller Mode */
	//
	// /**
	// * Constructor
	// */
	// public DEIRAGUI(int mode)
	// {
	// assert mode >= MODE_HR && mode <= MODE_VS;
	// this.mode = mode;
	//
	// makeWindow();
	// timer = new Timer();
	// timer.schedule(this, 1000, 25);
	// }
	//
	// /**
	// * Creates all Trackside DEIRA modules
	// */
	// public void createModules()
	// {
	// // create the modules, tie them together
	// this.outputStart("Creating Modules: ");
	//
	// // Queue
	// this.outputStart("EQ ");
	// queue = new EventQueue(new EventComparator<Object>());
	// if (this.mode == MODE_HR) {queue.setFilter(new
	// queue.HREventFilter(queue));}
	//
	// this.outputStart("PDB ");
	// // PersonalityDatabase
	// // Create default EmotionalCharacteristics
	// // EmotionalCharacteristics of a pretty tensed reporter that is not so
	// // quickly amused
	// // EmotionalCharacteristics ec = new EmotionalCharacteristics(2.0, 1.0,
	// // 0.5, 1.0);
	// HashMap<String, Double> factors = new HashMap<String, Double>();
	// factors.put("tension", 1.0);
	// factors.put("amusement", 10.0);
	// factors.put("pity", 1.0);
	// factors.put("surprise", 10.0);
	// EmotionalCharacteristics ec = new EmotionalCharacteristics(factors);
	//
	// /*
	// * FIXME: Settings like these really should be read from a configuration
	// * file
	// */
	// String basePath = System.getProperty("user.dir");
	//
	// switch (this.mode) {
	// case MODE_HR:
	// personalityDB = new PersonalityDB(ec, new tgm.Grammar(),
	// basePath + "\\data\\model\\kenneth\\kenneth.afm",
	// basePath + "\\data\\animations\\",
	// "ScanSoft Tom_Full_22kHz", basePath
	// + "\\bin\\visagelink\\p2v.cfg");
	// break;
	// case MODE_VVC:
	// personalityDB = new PersonalityDB(ec, new tgm.Grammar(
	// "grammar-vvc.txt"), "kenneth.afm", ".",
	// "ScanSoft Tom_Full_22kHz", basePath
	// + "\\bin\\visagelink\\p2v.cfg");
	// case MODE_VS:
	// /*
	// * FIXME: AT: This is the same as for the VVC, But why actually?
	// * I'd there's no point in loading grammar-vvc, or is there? FK:
	// * Agreed, I believe construction conditions of the PDB require
	// * _some_ grammar.
	// */
	// personalityDB = new PersonalityDB(ec, new tgm.Grammar(
	// "grammar-vvc.txt"), "kenneth.afm", ".",
	// "Adult Male #1 Dutch (L&H)", basePath
	// + "\\bin\\visagelink\\p2v.cfg");
	// break;
	// }
	//
	// // MMM
	// this.outputStart("MMM ");
	// MMM mmm = new MMM(personalityDB, queue, this);
	//
	// Module iam, tgm, sam;
	// HRFacialAnimator fam;
	//
	// switch (this.mode) {
	// case MODE_VVC:
	// iam = new iam.vvciam.VirtueleVoetbalCommentatorAnalysis(mmm);
	// break;
	// case MODE_VS:
	// iam = new VSAnalysis(mmm);
	// break;
	// default:
	// case MODE_HR:
	// iam = new iam.riam.RaceAnalysis(mmm);
	// break;
	// }
	// this.outputStart(iam.getModuleName());
	//
	// // TGM
	// this.outputStart("TGM ");
	// switch (this.mode) {
	// case MODE_VVC:
	// tgm = new tgm.VVCTextGenerator(personalityDB, mmm, queue);
	// queue.addModule("tgm.VVCTextGenerator");
	// break;
	//
	// case MODE_VS:
	// tgm = new tgm.VSTextGenerator(personalityDB, mmm, queue);
	// queue.addModule("tgm.VSTextGenerator");
	// break;
	//				
	// default:
	// case MODE_HR:
	// tgm = new tgm.HRTextGenerator(personalityDB, mmm, queue);
	// queue.addModule("tgm.HRTextGenerator");
	// break;
	// }
	//
	// // SAM
	// this.outputStart("SAM ");
	// sam = new sam.SpeechAdaptor(mmm, queue);
	// queue.addModule("sam.SpeechAdaptor");
	//
	// // FAM
	// this.outputStart("FAM ");
	// fam = new fam.HRFacialAnimator(queue, mmm);
	// queue.addModule("fam.FacialAnimator");
	//
	// // OM
	// this.outputStart("OM\n");
	// om = new om.VisageOutputter(personalityDB, queue, this, mmm);
	// fam.setOutputter(om); // Tie the FAM to the OM for direct animation
	// // sending
	// queue.addModule("om.Outputter");
	//		
	//
	// modules.add(iam);
	// modules.add(tgm);
	// modules.add(sam);
	// modules.add(fam);
	// modules.add(om);
	//
	// this.outputStart("Ready.\n\n");
	// }
	//
	// /**
	// * Stops (if started) and destroys Trackside DEIRA modules
	// */
	// public void destroyModules()
	// {
	// this.outputStart("Stopping/Cleaning-Up Modules: ");
	// for (Module module : modules) {
	// module.close();
	// }
	// /*
	// * This wakes the threaded modules and makes them exit their main loops
	// * I.e. calling the close() methods above causes the internal exit
	// * variables to be set correctly, while this code wakes them and lets
	// * them realize that the exit variable has changed and exit accordingly.
	// */
	// queue.wakeAllWaiters();
	//
	// /*
	// * This small piece of code actually waits for each of the threads to
	// * 'really' terminate. This can aid in debugging since we will be able
	// * to see what thread is blocking the process to actually terminate.
	// */
	// try {
	// this.outputStart("MMM/Mon ");
	//
	// for (Module module : modules) {
	// if (module instanceof Thread) {
	// Thread module_thread = (Thread) module;
	// this.outputStart(module.getModuleName() + "\n");
	// module_thread.join();
	// }
	//
	// }
	// this.outputStart("Ready.\n\n");
	// } catch (Exception e) {
	// System.out.println("Error terminating threads!");
	// }
	//
	// /*
	// * Explicitly remove the objects (not really necessary, but can't hurt
	// * either)
	// */
	// this.om = null;
	// this.queue = null;
	// this.personalityDB = null;
	// }
	//
	// public void makeWindow()
	// {
	// // Frame to start and stop the software
	// // WindowUtilities.setNativeLookAndFeel();
	// frame = new JFrame("Trackside DEIRA");
	// frame.setSize(700, 375); // Old: 275
	// Container content = frame.getContentPane();
	// content.setLayout(new FlowLayout());
	// launchHRSSBtn = new JButton("Launch HRSS");
	// content.add(launchHRSSBtn);
	// launchVLBtn = new JButton("Launch VisageLink");
	// content.add(launchVLBtn);
	// connBtn = new JButton("Reinit connection");
	// content.add(connBtn);
	// startBtn = new JButton("Start Race");
	// content.add(startBtn);
	// stopBtn = new JButton("Disconnect");
	// content.add(stopBtn);
	//
	// launchHRSSBtn.addActionListener(new ActionListener()
	// {
	// public void actionPerformed(ActionEvent e)
	// {
	// launch("hrss.bat");
	// }
	// });
	// launchVLBtn.addActionListener(new ActionListener()
	// {
	// public void actionPerformed(ActionEvent e)
	// {
	// launch("visagelink.bat");
	// }
	// });
	// connBtn.addActionListener(new ActionListener()
	// {
	// public void actionPerformed(ActionEvent e)
	// {
	// reinitConnection();
	// }
	// });
	// startBtn.addActionListener(new ActionListener()
	// {
	// public void actionPerformed(ActionEvent e)
	// {
	// if (mode != MODE_HR) {
	// createModules(); // FIXME (This doesn't happen for VVC
	// // and VS, since they have no
	// // connection.
	// }
	// raceStart();
	// }
	// });
	// stopBtn.addActionListener(new ActionListener()
	// {
	// public void actionPerformed(ActionEvent e)
	// {
	// raceStop();
	// }
	// });
	// frame.addWindowListener(new WindowAdapter()
	// {
	// public void windowClosing(WindowEvent e)
	// {
	// close();
	// }
	// });
	//
	// text = new JTextArea();
	// text.setRows(12);
	// text.setColumns(60);
	//
	// textScroller = new JScrollPane(text);
	// content.add(textScroller);
	//
	// /* Create emotion slider container */
	// Container emoContainer = new Container();
	// emoContainer.setLayout(new FlowLayout());
	// Container esContainer = new Container();
	// esContainer.setLayout(new GridLayout(5, 2));
	// emoContainer.add(esContainer);
	//
	// this.egPanel = new EmotionGraphPanel();
	// emoContainer.add(this.egPanel);
	//
	// content.add(emoContainer);
	//
	// /* Create emotion sliders */
	// esTension = new JSlider(JSlider.HORIZONTAL, 0, 100, 0);
	// esSurprise = new JSlider(JSlider.HORIZONTAL, 0, 100, 0);
	// esAmusement = new JSlider(JSlider.HORIZONTAL, 0, 100, 0);
	// esPity = new JSlider(JSlider.HORIZONTAL, 0, 100, 0);
	//
	// esContainer.add(new JLabel("Emotional State"));
	// esContainer.add(new JLabel(""));
	//
	// esContainer.add(new JLabel("Tension (Blue)"));
	// esContainer.add(esTension);
	// esContainer.add(new JLabel("Surprise (Green)"));
	// esContainer.add(esSurprise);
	// esContainer.add(new JLabel("Amusement (Magenta)"));
	// esContainer.add(esAmusement);
	// esContainer.add(new JLabel("Pity (Red)"));
	// esContainer.add(esPity);
	//
	// frame.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
	//
	// connBtn.setEnabled(true);
	// // FIXME startBtn.setEnabled(false);
	// stopBtn.setEnabled(false);
	// frame.setVisible(true);
	// }
	//
	// private void launch(String appName)
	// {
	// Runtime runtime = Runtime.getRuntime();
	// try {
	// runtime.exec(appName);
	// } catch (IOException e) {
	// e.printStackTrace();
	// }
	// }
	//
	// /**
	// * Appends any text that is output to the text window. (works via a
	// callback
	// * via the OutputEvent interface in the OM).
	// *
	// * @param phrase: Phrase to output.
	// */
	// public void OnOutputEvent(String phrase, int speed, int pitch, int
	// volume,
	// String animations, long averageDelay, long lowDelay, long highDelay)
	// {
	// text.append("[" + speed + ", " + pitch + ", " + volume + "] : "
	// + phrase + " [" + animations + "] / D[A:" + averageDelay
	// + ", L:" + lowDelay + ", H:" + highDelay + "]\n");
	// text.setCaretPosition(text.getDocument().getLength()); // Force scroll
	// // to bottom
	// }
	//
	// public void OnOutputFacialTimeEvent(double movingTension,
	// String animationFile)
	// {
	// text.append("[-, -, -] : - [" + animationFile + "] / ME:"
	// + movingTension + "\n");
	// text.setCaretPosition(text.getDocument().getLength()); // Force scroll
	// // to bottom
	// }
	//
	// /**
	// * Controls the emotion slider
	// */
	// public void OnEmotionStateUpdate(EmotionalState es)
	// {
	// esTensionGoal = new Double(es.getEmotionalLevel("tension") *
	// 100.0).intValue();
	// esSurpriseGoal = new Double(es.getEmotionalLevel("surprise") *
	// 100.0).intValue();
	// esAmusementGoal = new Double(es.getEmotionalLevel("amusement") *
	// 100.0).intValue();
	// esPityGoal = new Double(es.getEmotionalLevel("pity") * 100.0).intValue();
	//
	// // System.out.println("Tension " + esTensionGoal + " Surprise " +
	// // esSurpriseGoal + " Amusement" + esAmusementGoal + " Pity " +
	// // esPityGoal);
	// }
	//
	// public int calculateNewValue(int value, int goal)
	// {
	// if (value < goal) {
	// return value + 1;
	// } else if (value > goal) {
	// return value - 1;
	// }
	// return value;
	// }
	//
	// public void run()
	// {
	// if (!raceStarted) {
	// return;
	// }
	//
	// /* Something is wrong with the output channel ... */
	// if (!om.isAlive()) {
	// outputStart("\nOutputLink Failure : Shutting Down Automatically (Check your VisageLink(Stub))!\n");
	// raceStop();
	// }
	//
	// esTension.setValue(calculateNewValue(esTension.getValue(),
	// esTensionGoal));
	// esSurprise.setValue(calculateNewValue(esSurprise.getValue(),
	// esSurpriseGoal));
	// esAmusement.setValue(calculateNewValue(esAmusement.getValue(),
	// esAmusementGoal));
	// esPity.setValue(calculateNewValue(esPity.getValue(), esPityGoal));
	//
	// esTension.repaint();
	// esSurprise.repaint();
	// esAmusement.repaint();
	// esPity.repaint();
	//
	// if (++graphUpdateCounter > 10) { /* Updates every 250 msecs */
	// egPanel.addEmotions(esTensionGoal, esSurpriseGoal, esAmusementGoal,
	// esPityGoal);
	// graphUpdateCounter = 0;
	// }
	// }
	//
	// /**
	// * Outputs informational text during starting of DEIRA.
	// *
	// * @param str Text of the phase to output.
	// */
	// public void outputStart(String str)
	// {
	// text.append(str);
	// text.setCaretPosition(text.getDocument().getLength()); // Force scroll
	// // to bottom
	// }
	//
	// /**
	// * Starts the race, and starts processing incoming data
	// */
	// private void raceStart()
	// {
	// startBtn.setEnabled(false);
	// frame.repaint();
	//
	// this.outputStart("Starting Modules: ");
	//
	// this.outputStart("MMM/Mon ");
	//
	// for (Module module : modules) {
	// if (module instanceof Thread) {
	// Thread module_thread = (Thread) module;
	// this.outputStart(module.getModuleName() + "\n");
	// module_thread.start();
	// }
	//
	// }
	//
	// this.outputStart("Ready.\n\n");
	//
	// raceStarted = true;
	// stopBtn.setEnabled(true); /* Enable now that the race is started */
	// }
	//
	// private void reinitConnection()
	// {
	// connBtn.setEnabled(false);
	// frame.repaint();
	// createModules();
	//
	// this.outputStart("Checking Player Connection: ");
	// if (!om.isOperational()) {
	// this.outputStart("Error\n");
	// this
	// .outputStart("No Link to Visage! Start VisageLink(Stub) and Retry!\n\n");
	// destroyModules();
	// connBtn.setEnabled(true);
	// return;
	// } else {
	// this.outputStart("Reinit connection OK\n");
	// startBtn.setEnabled(true);
	// stopBtn.setEnabled(true);
	// }
	// }
	//
	// /**
	// * At this moment: stops iam.riam and disposes of frame.
	// */
	// private void raceStop()
	// {
	// stopBtn.setEnabled(false);
	// frame.repaint();
	// raceStarted = false;
	// destroyModules();
	// connBtn.setEnabled(true);
	// }
	//
	// /**
	// * Runs close function of the RaceAnalysis module. Disposes of the frame.
	// */
	// private void close()
	// {
	// if (raceStarted) {
	// this.outputStart("<Stopping Race>\n");
	// raceStop();
	// }
	//
	// this.timer.cancel();
	// this.timer = null;
	//
	// frame.setVisible(false);
	// frame.dispose();
	// }
	//
}