package nl.utwente.ewi.hmi.deira.iam.vvciam;
import nl.utwente.ewi.hmi.deira.iam.vvciam.match.MatchTracker;

/** Event geeft aan dat een freeball genomen is.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class FreeBallTakenEvent extends RSEvent{

    /**Constructor*/
    public FreeBallTakenEvent(){
        super(0.15,0.0,"freeballtaken", null);
    }
    
    /** Geeft een nieuw FreeBallTakenEvent.<br>
      * 
      */
    public static FreeBallTakenEvent checkEvent(MatchTracker match, java.util.List<Situation> sits, EventGenerator eg) {
        FreeBallTakenEvent e = new FreeBallTakenEvent();
        e.setRobot1(eg.getLastPossession().getName());
        return e;
    } 
}