package nl.utwente.ewi.hmi.deira.iam.vvciam;
import nl.utwente.ewi.hmi.deira.iam.vvciam.match.MatchTracker;

/** Event geeft aan dat een speler een schot op doel gestopt/van richting veranderd heeft.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class KeeperSaveEvent extends RSEvent{
    /** Constructor */
    public KeeperSaveEvent(){
        super(0.4,0.01, "keepersave", null);    
    }
    
    /** Geeft een KeeperSaveEvent. */
    protected static KeeperSaveEvent checkEvent(MatchTracker match, java.util.List<Situation> sits, EventGenerator eg){
        KeeperSaveEvent returnEvent = new KeeperSaveEvent();
    	returnEvent.setRobot1(eg.getLastPossession().getName());
    	returnEvent.setRobot2(eg.getPreLastPossession().getName());
    	return returnEvent;
    }
    
}