package nl.utwente.ewi.hmi.deira.iam.vvciam;
import nl.utwente.ewi.hmi.deira.iam.vvciam.match.MatchTracker;

/** Event geeft aan dat zojuist een penalty genomen is.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class PenaltyKickTakenEvent extends RSEvent{
    /**Constructor*/
    public PenaltyKickTakenEvent(){
        super(0.95, 0, "penaltykicktaken", null);    
    }
    /**Constructor */
    public PenaltyKickTakenEvent(String team1){
        super(0.95, 0, "penaltykicktaken", null);
        this.team1=team1;
    }
    /** Geeft een nieuw PenaltyKickTakenEvent.*/
    protected static PenaltyKickTakenEvent checkEvent(MatchTracker match, java.util.List<Situation> sits, EventGenerator eg){
        PenaltyKickTakenEvent returnEvent = new PenaltyKickTakenEvent();
        returnEvent.setRobot1(eg.getLastPossession().getName());
    	return returnEvent;
    }
}