package nl.utwente.ewi.hmi.deira.iam.vvciam;
import nl.utwente.ewi.hmi.deira.iam.vvciam.match.MatchTracker;
/** Event geeft aan dat de data-stream begonnen is, en commentaar dus ook kan aanvangen.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class StartEvent extends RSEvent{
    /**Constructor*/
    public StartEvent(){
        super(0.2,0,"start", null);
    }
    
    /** Geeft nieuw StartEvent */
    protected static StartEvent checkEvent(MatchTracker match, java.util.List<Situation> sits, EventGenerator eg){
        StartEvent e = new StartEvent();
        e.setTeam1(match.getTeam1().getName());
        e.setTeam2(match.getTeam2().getName());
        return e;
    }
    
}