package nl.utwente.ewi.hmi.deira.iam.vvciam.match;

/**
 * Deze klasse modeleert een Robosoccer robot.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class Robot {
		
	private String robotname;
	private Double orientation; // de orientatie gaat van Pi tot -Pi
	private int speed;
	private int robotID;
					
	/**
	 * De constructor van Robot
	 * een Robot heeft een naam en een id om zich makkelijker te kunnen identificeren
	 * @param name, de naam van de Robot
	 * @param id, de ID van de Robot
	 */						
	public Robot(String name, int id){
		robotname = name;
		robotID = id;
	}

    /** Geeft de naam van de Robot
    */
	public String getName(){
		return robotname;
	} 	

	/** Geeft het ID van deze Robot.
	*/
	public int getRobotID(){
		return robotID;
	}			
}