package nl.utwente.ewi.hmi.deira.iam.vvciam;
import nl.utwente.ewi.hmi.deira.iam.vvciam.match.MatchTracker;

/** Event geeft aan dat een speler een schot op doel gestopt/van richting veranderd heeft.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class DefendEvent extends RSEvent{
    /** Construct */
    public DefendEvent(){
        super(0.4,0.01, "defend", null);    
    }
    
    /** Geeft een nieuw DefendEvent
    */
    protected static DefendEvent checkEvent(MatchTracker match, java.util.List<Situation> sits, EventGenerator eg){
        DefendEvent returnEvent = new DefendEvent();
    	returnEvent.setRobot1(eg.getLastPossession().getName());
    	returnEvent.setRobot2(eg.getPreLastPossession().getName());
    	return returnEvent;
    }
    
}