package nl.utwente.ewi.hmi.deira.iam.vvciam;
import nl.utwente.ewi.hmi.deira.iam.vvciam.match.MatchTracker;

/** Event geeft aan dat een doelpunt afgekeurd is.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class GoalDisallowedEvent extends RSEvent{
    /**Constructor */
    public GoalDisallowedEvent(){
        super(0.5,-0.10, "goaldisallowed", null);    
    }
    
    /** Geeft een nieuw GoalDisallowedEvent. */
    protected static GoalDisallowedEvent checkEvent(MatchTracker match, java.util.List<Situation> sits, EventGenerator eg){
        return new GoalDisallowedEvent();
    }
}