package nl.utwente.ewi.hmi.deira.iam.vvciam;
import nl.utwente.ewi.hmi.deira.iam.vvciam.match.MatchTracker;

/** Event geeft aan dat er zojuist een goalkick genomen is.
 * @version
 * @author Buursma, Hendriksen, Ten Hoeve, Van der Kooi
 */

public class GoalKickTakenEvent extends RSEvent{
    /**Constructor */
    public GoalKickTakenEvent(){
        super(0.35, 0, "goalkicktaken", null);    
    }
    /**Constructor */    
    public GoalKickTakenEvent(String team1){
        super(0.35, 0, "goalkicktaken", null);
        this.team1=team1;
    }
    /** Geeft een nieuw GoalKickTakenEvent */    
    protected static GoalKickTakenEvent checkEvent(MatchTracker match, java.util.List<Situation> sits, EventGenerator eg){
        GoalKickTakenEvent returnEvent = new GoalKickTakenEvent();
    	returnEvent.setRobot1(eg.getLastPossession().getName());
    	return returnEvent;
    }
}