/* 
 * Copyright (C) 2009 HMI Group, University of Twente.
 *
 * @author Franois L.A. Knoppel <[alias] francois [on server at] knoppel.nl>
 * @author Almer S. Tigelaar <[alias] almer [on server at] gnome.org>
 * @author Danny Oude Bos <[alias] d.oudebos [on server at] utwente.nl>
 * @author Thijs Alofs <[alias] t.alofs [on server at] alumnus.utwente.nl>
 *
 * This file is part of the DEIRA project, which is free software; you can redistribute it
 * and/or modify it under the terms of the GNU "Lesser" General Public License v3 as published by the 
 * Free Software Foundation.
 */

package nl.utwente.ewi.hmi.deira.sam;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.logging.Logger;

/**
 * Container class for speech particles.
 * 
 * @deprecated
 */
public class SpeechParticle {
//
//	/** The lower tension bound for which this particle is valid */
//	private float lowerbound;
//
//	/** The upper tension bound for which this particle is valid */
//	private float upperbound;
//
//	/** The filename of the .wav-file associated with this particle */
//	private String wavfilename;
//
//	/** The filename of the .fap-file associated with this particle */
//	private String fapfilename;
//
//	/** The stream-object for the .wav-file associated with this particle */
//	private FileInputStream wavstream;
//
//	/** The stream-object for the .fap-file associated with this particle */
//	private FileInputStream fapstream;
//
//	/** < Logging instance */
//	private static Logger log = Logger.getLogger("deira.sam");
//
//	/**
//	 * Constructor for the class SpeechParticle. Sets the instance variables to
//	 * the specified values. If fapfilename is not specified, wavfilename is
//	 * used instead, but with the extension replaced by .fap. Streams are
//	 * initialized. If a specified file cannot be found, the stream defaults to
//	 * a null file (data/placeholder.null).
//	 * 
//	 * @param fapfile
//	 *            The filename of the FAP-file that specifies the animation for
//	 *            this particle.
//	 * @param wavfile
//	 *            The filename of the WAV-file that specifies the speech for
//	 *            this particle.
//	 * @param lowerbound
//	 *            The lower tension bound for which the particle should be
//	 *            valid.
//	 * @param upperbound
//	 *            The upper tension bound for which the particle should be
//	 *            valid.
//	 */
//	public SpeechParticle(String fapfile, String wavfile, float lowerbound,
//			float upperbound) {
//		super();
//
//		// Fallback setting fapfilename to wavfilename with modified extension
//		if (fapfile.equals("")) {
//			this.fapfilename = wavfile.substring(0, wavfile.length() - 4)
//					+ ".fap";
//		}
//		this.fapfilename = fapfile;
//		this.wavfilename = wavfile;
//		this.upperbound = upperbound;
//		this.lowerbound = lowerbound;
//
//		try {
//			this.fapstream = new FileInputStream(fapfile);
//		} catch (FileNotFoundException e) {
//			try {
//				log.severe("SAM.SP.constructor: [" + fapfile
//						+ "] cannot be found!");
//				this.fapstream = new FileInputStream("data/placeholder.null");
//			} catch (FileNotFoundException e2) {
//				log
//						.severe("SAM.SP.constructor: [data/placeholder.null] cannot be found!");
//				e2.printStackTrace();
//			}
//		}
//
//		try {
//			this.wavstream = new FileInputStream(wavfile);
//		} catch (FileNotFoundException e) {
//			try {
//				log.severe("SAM.SP.constructor: [" + wavfile
//						+ "] cannot be found!");
//				this.wavstream = new FileInputStream("data/placeholder.null");
//			} catch (FileNotFoundException e2) {
//				log
//						.severe("SAM.SP.constructor: [data/placeholder.null] cannot be found!");
//				e2.printStackTrace();
//			}
//		}
//
//	}
//
//	/**
//	 * @return Returns the fapstream.
//	 */
//	public FileInputStream getFapstream() {
//		return fapstream;
//	}
//
//	/**
//	 * @param fapstream
//	 *            The fapstream to set.
//	 */
//	public void setFapstream(FileInputStream fapstream) {
//		this.fapstream = fapstream;
//	}
//
//	/**
//	 * @return Returns the wavstream.
//	 */
//	public FileInputStream getWavstream() {
//		return wavstream;
//	}
//
//	/**
//	 * @return Returns the lower bound.
//	 */
//	public float getLowerbound() {
//		return lowerbound;
//	}
//
//	/**
//	 * @param lowerbound
//	 *            The lower bound to set.
//	 */
//	public void setLowerbound(float lowerbound) {
//		this.lowerbound = lowerbound;
//	}
//
//	/**
//	 * @return Returns the upper bound.
//	 */
//	public float getUpperbound() {
//		return upperbound;
//	}
//
//	/**
//	 * @param upperbound
//	 *            The upper bound to set.
//	 */
//	public void setUpperbound(float upperbound) {
//		this.upperbound = upperbound;
//	}
//
//	/**
//	 * @param wavstream
//	 *            The wavstream to set.
//	 */
//	public void setWavstream(FileInputStream wavstream) {
//		this.wavstream = wavstream;
//	}
//
//	/**
//	 * @return Returns the fapfilename.
//	 */
//	public String getFapfile() {
//		return fapfilename;
//	}
//
//	/**
//	 * @param fapfile
//	 *            The fapfilename to set.
//	 */
//	public void setFapfile(String fapfile) {
//		this.fapfilename = fapfile;
//	}
//
//	/**
//	 * @return Returns the wavfilename.
//	 */
//	public String getWavfile() {
//		return wavfilename;
//	}
//
//	/**
//	 * @param wavfile
//	 *            The wavfilename to set.
//	 */
//	public void setWavfile(String wavfile) {
//		this.wavfilename = wavfile;
//	}

}
